hpp-corbaserver: _objref_SplineBernstein3 Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Public Member Functions | Protected Member Functions | Friends | List of all members
_objref_SplineBernstein3 Class Reference

`#include <hpp/core_idl/steering_methods-idl.hh>`

Inheritance diagram for _objref_SplineBernstein3:
[legend]
Collaboration diagram for _objref_SplineBernstein3:
[legend]

## Public Member Functions
Path_ptr | steer (const ::hpp::floatSeq &q1, const ::hpp::intSeq &order1, const ::hpp::floatSeqSeq &derivatives1, const ::hpp::floatSeq &q2, const ::hpp::intSeq &order2, const ::hpp::floatSeqSeq &derivatives2, ::CORBA::Float length)
Path_ptr | steerSE3 (const ::hpp::floatSeq &q1, const ::hpp::intSeq &order1, const ::hpp::floatSeqSeq &derivatives1, const ::hpp::floatSeq &q2, const ::hpp::intSeq &order2, const ::hpp::floatSeqSeq &derivatives2, ::CORBA::Float length)
| _objref_SplineBernstein3 ()
| _objref_SplineBernstein3 (omniIOR *, omniIdentity *)
Public Member Functions inherited from _objref_SteeringMethod
void | deleteThis ()
::CORBA::Boolean | deleteIfExpired ()
void | persistantStorage (::CORBA::Boolean persistant)
Path_ptr | call (const ::hpp::floatSeq &q1, const ::hpp::floatSeq &q2)
void | setConstraints (::hpp::core_idl::ConstraintSet_ptr constraints)
Constraint_ptr | getConstraints ()
| _objref_SteeringMethod ()
| _objref_SteeringMethod (omniIOR *, omniIdentity *)

## Protected Member Functions
virtual | ~_objref_SplineBernstein3 ()
Protected Member Functions inherited from _objref_SteeringMethod
virtual | ~_objref_SteeringMethod ()

## Friends
class | SplineBernstein3

## Constructor & Destructor Documentation

## ◆ _objref_SplineBernstein3() [1/2]

_objref_SplineBernstein3::_objref_SplineBernstein3 | ( |  | ) |
| inline

## ◆ _objref_SplineBernstein3() [2/2]

_objref_SplineBernstein3::_objref_SplineBernstein3 | ( | omniIOR * | ,
|  | omniIdentity * |
| ) |  |

## ◆ ~_objref_SplineBernstein3()

virtual _objref_SplineBernstein3::~_objref_SplineBernstein3 | ( |  | ) |
| protected virtual

## Member Function Documentation

## ◆ steer()

Path_ptr _objref_SplineBernstein3::steer | ( | const ::hpp::floatSeq & | q1,
|  | const ::hpp::intSeq & | order1,
|  | const ::hpp::floatSeqSeq & | derivatives1,
|  | const ::hpp::floatSeq & | q2,
|  | const ::hpp::intSeq & | order2,
|  | const ::hpp::floatSeqSeq & | derivatives2,
|  | ::CORBA::Float | length
| ) |  |

## ◆ steerSE3()

Path_ptr _objref_SplineBernstein3::steerSE3 | ( | const ::hpp::floatSeq & | q1,
|  | const ::hpp::intSeq & | order1,
|  | const ::hpp::floatSeqSeq & | derivatives1,
|  | const ::hpp::floatSeq & | q2,
|  | const ::hpp::intSeq & | order2,
|  | const ::hpp::floatSeqSeq & | derivatives2,
|  | ::CORBA::Float | length
| ) |  |

## Friends And Related Function Documentation

## ◆ SplineBernstein3

friend class SplineBernstein3
| friend

The documentation for this class was generated from the following file:

- src/hpp/core_idl/steering_methods-idl.hh